%define repoid 28257
       
Summary: A library for PARallel programs with Dataflow Synchronization
Name: pards
Version: 0.4
Release: 6%{?dist}
URL: http://pards.sourceforge.jp/
Source0: http://downloads.sourceforge.jp/%{name}/%{repoid}/%{name}04.tar.gz
Patch0: %{name}-%{version}.patch
License: BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%package devel
Summary: A library for PARallel programs with Dataflow Synchronization
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
#Provides: %{name}-static = %{version}-%{release}

%description
This is a library for writing parallel programs (for UNIX OSes).
With this library, you can write parallel programs more easily than 
using other libraries like pthread directly. As a practical example, 
bzip2 is parallelized using this library.

%description devel
This package contains static libraries documents and header files needed 
to develop programs which make use of pards library.

%prep
%setup -q -n %{name} 
%patch -p1
iconv -f eucjp -t utf8 README.ja >README.ja.utf
mv README.ja.utf README.ja

%build
pushd src
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd src
make DESTDIR=%{buildroot} _LIB=%{_lib} install
popd
rm %{buildroot}/%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*
%doc ChangeLog README README.ja LICENSE

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/pards
%{_includedir}/pards/*
%{_libdir}/lib%{name}.so
#%{_libdir}/lib%{name}.a
%doc doc/ misc/ samples/ gtk/
#%doc bzip2-1.0.3/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-6
- Autorebuild for GCC 4.3

* Mon Jan  7 2008 Masahiro Hasegawa <masahase@gmail.com> - 0.4-5
- remove static library
* Thu Dec 27 2007 Masahiro Hasegawa <masahase@gmail.com> - 0.4-4
- fix spec
* Wed Dec 26 2007 Masahiro Hasegawa <masahase@gmail.com> - 0.4-3
- fix spec
* Wed Dec 26 2007 Masahiro Hasegawa <masahase@gmail.com> - 0.4-2
- fix spec
* Tue Dec 25 2007 Masahiro Hasegawa <masahase@gmail.com> - 0.4-1
- Initial build for Version 0.4
